Subject: Re: Cannot push a commit

From: Matthias Fechner <[email-masked]>
Date: Tue, 17 Jan 2012 08:35:55 +0100

Am 16.01.2012 22:20, schrieb Jeff King:
>   1. Something in the connection cut out but only in a half-duplex way.
>      I guess I could see ssh doing that if its input pipe closed, but
>      that would mean the local pack-objects failed, and I believe git
>      already detects and reports that case.
> 
>   2. The packfile sent indicated that it should have more bytes than it
>      does (i.e., either git indicated there were more objects than there
>      actually are, or zlib failed to give a stream-end marker in the
>      middle of an object). This is one of:
> 
>      a. A bug in git or zlib.
> 
>      b. Something in the connection corrupting the data (e.g., a
>         transport that is not 8-bit clean).
> 
> But in either 2a or 2b, I would expect us to have seen this before, and
> I don't recall seeing anything like it.
> 
> You could try generating a bundle with this pack, like:
> 
>   git bundle create foo.bundle master ^origin/master
> 
> and then shipping the resulting foo.bundle to the other side, and
> pulling from it like:
> 
>   git pull /path/to/foo.bundle master

thanks a lot for your answer.
I created a new repository which is not a bare repo to use your commands
posted above (i tested it with the normal push command from the client
and same error).

I created the bundle on the client, copied it with winscp to the server
and it was applied fine to the repository:
$ git pull ../foo.bundle master
Receiving objects: 100% (3/3), 91.63 KiB, done.
>From ../foo.bundle
 * branch            master     -> FETCH_HEAD
Updating 53b9b5e..301e730
Fast-forward
 APP_UD.sch |19643
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 19643 insertions(+), 0 deletions(-)
 create mode 100644 APP_UD.sch

So the problem should be located anywhere else.
I tested now the same on a mac osx as client and there everything works
as expected, I added the file, commited it and pushed it without errors
to the server.

So the problem has something to do with windows as client. I will do
some additional test this evening.

Where can we continue to search?

Bye
Matthias

-- 

"Programming today is a race between software engineers striving to
build bigger and better idiot-proof programs, and the universe trying to
produce bigger and better idiots. So far, the universe is winning." --
Rich Cook